REST API :: tags.add

Add a (manual) face tag to a photo. Use this method to add face tags where those were not detected for completeness of your service. Manual tags are treated like automatic tags, except they are not used to train the system how a user looks like. See the tags.save method to learn how to save automatic face tags for recognition purposes.

url:

http://api.face.com/tags/add

parameters:

RequiredNameDescription
Requiredapi_keyyour face.com API Key
api_secretyour face.com API Secret
urlurl of the JPG photo to add the tag to
xthe horizontal center position of the tag, as a percentage from 0 to 100, from the left of the photo
ythe vertical center position of the tag, as a percentage from 0 to 100, from the top of the photo
widthwidth of the tag, as a percentage from 0 to 100 (height is currently the same as the width)
uidthe ID of the user being tagged
tagger_idthe ID of the user who's adding the tag
Optionallabelthe display name of the user (usually First and Last name)
format‘json’ (default) or ‘xml’
callbackjavascript method to wrap a json-formatted response (for JSONP support, ignored if format=xml)
passwordfor use when saving tags is a privileged action in your client-side application (must be enabled in application settings)
user_authsigned-in facebook or twitter user credentials. Required only when specifying UIDsin these namespaces. Use name:value pairs, separated by comma:

  • fb_user:[facebook user id]
  • [Deprecated] fb_session:[facebook session id]
  • fb_oauth_token [facebook oauth 2.0 access token]
    and/or:
  • twitter_username:[twitter screen name]
  • twitter_password:[twitter password]
    or:
  • twitter_oauth_user:[twitter OAuth user]
  • twitter_oauth_secret:[twitter OAuth secret]
  • twitter_oauth_token:[twitter OAuth token]

example:

N/A

response sample (json):

View complete list of response fields

{
  N/A
}